
#ifndef INCLUDE_S_CAMERA_H_GUARD
#define INCLUDE_S_CAMERA_H_GUARD

#include "game.h"

void camera_set_target(TILEMAP *map, CAMERA *camera, SPRITE *sprite);
SPRITE *add_camera_sprite(TILEMAP *map, SPRITE *sprite, OUTPUTDEV *dev);
void update_camera(TILEMAP *map, SPRITE *sprite);

#endif
